Support » Plugin: WordPress Gallery Plugin - NextGEN Gallery » 500 Internal Server Error – URGENT

  • Resolved DickRaney

    (@dickraney)


    Since updating to WP 4.9 all my websites with Nextgen Gallery are giving a 500 Internal Server Error when visiting any page with a thumbnail gallery.

    If I edit the page and click to edit the gallery I get the same error in the popup lightbox edit window.

    I have tried deactivating plugins and switching to a standard theme, but get same error.

Viewing 12 replies - 16 through 27 (of 27 total)
  • Plugin Support edanzer

    (@edanzer)

    Hi all. Update: From what we can see, including a test to confirm on our side, this issue is fixed in PHP 7.2.0, released this morning. We’ve also just released a NextGEN release that deactivates most functionality of NGG when it’s run on the two problem versions of PHP.

    • This reply was modified 2 years, 2 months ago by edanzer.

    We’ve also just released a NextGEN release that deactivates most functionality of NGG when it’s run on the two problem versions of PHP.

    Sorry it does’nt

    The plugin give an error message when trying to be activated and is activated

    We need to deactivate manually further

    Additionally, when I go to reactivate the plugin, it tells me I am not allowed to access this page

    Plugin Author Imagely

    (@imagely)

    @pierre-liberas – As this is likely an unrelated issue, please start your own topic so we can try to help you with your specific issue on your specific site.

    See https://make.wordpress.org/support/handbook/forum-welcome/#post-in-the-best-place

    Thanks!

    – Cais.

    Contacted my host and they reply that’s not possible to install for me a speficic version

    So I desactivate the plugin

    Anyway I see that Avada give a patch for there own applications

    I think that we need to migrate to an other plugin if it’s not repaired

    Sorry Cais I go to my own topic

    Plugin Author Imagely

    (@imagely)

    @pierre-liberas – Thanks!

    – Cais.

    I upgraded to PHP 7.2.0, and then also to your newest version. BUT, it is STILL broken. So I changed to php 5.6, And that fixed it. But be aware that PHP 7.2.0 does NOT yet fix it, unfortunately.

    We would like to corroborate with oakleaf101.

    We have switched to PHP 7.2 and it is still an issue and throwing error 503.
    We switched back to PHP 5.6.

    Does that mean we need to wait for another PHP version release?

    Plugin Support edanzer

    (@edanzer)

    Hey all – Just wanted to clarify… 7.2.0 does actually resolve the original main bug. But unfortunately, it seems to introduces another one. We’ve got a dev working on this pretty much around the clock. Unfortunately, it’s complicated – we’re now troubleshooting a bug in PHP itself rather than NextGEN Gallery. We’ll need to identify it and report it to PHP. They’ll need to patch and release.

    Once we do identify it, we’ll also be trying to see if we can come up with our own immediate work around for the bug. We won’t know if that’s possible until we can fully identify what the bug in PHP is exactly.

    We’ll update when we can.

    FYI: I too experienced this issue today. I was running on PHP 7 so I dropped back to 5.6 which fixed the problem.
    My WP version and Plugins were a bit out of date. So I did an update to all the plugins first and the problem went away (I was toggling between 5.6 and 7 and refreshing the index page). Not sure which plugin was causing the problem but I have a list of the old versions if anybody wants a reference). Finally updated WP to latest.
    Strangely other sites equally out of date didn’t have an issue (different plugins).

    Plugin Author Imagely

    (@imagely)

    @wppod77 – Thanks for sharing your experiences.

    – Cais.

Viewing 12 replies - 16 through 27 (of 27 total)
  • The topic ‘500 Internal Server Error – URGENT’ is closed to new replies.